/**
* @file		AHCommonVersion.h
*
* @brief	AHCommonVersion`
*
* @author	ISHINO k16
*
* $Id: AHCommonVersion.h 3150 2018-06-11 07:24:35Z k16 $
*
* Copyright (C) 2009, Antenna House, Inc.  All Rights Reserved.
*/

#ifndef AHCommonVersion_H__
#define AHCommonVersion_H__

#include <AH/AHPlatformDefs.h>
#include <AH/AHCopyrightDefs.h>
#include <AHVersion/AHVersion.h>

// AHCommon ̃o[W (W[Ƀo[W܂܂̂Œ)
//	AHCommonVersionResource.h 

///////////////////////////////////////////////////////////////////////////
// RpC

#if defined _MSC_VER && (_MSC_VER == 1200 || _MSC_VER >= 1400)
#define CCCTRL_UNICODEFILENAME	// t@CUnicodeŃnhO
								// Windows VC6ł͓Ǝ}NpӂĂ
								// (AHCommonVC6Ή)
								// VC8ȍ~łWindowsT|[gĂ
#endif

#if AHCOMMONVER>=102
 #if defined AH_HAVE_HASH_SETMAP
 #define CCCTRL_ENABLE_HASH_SETMAP
 #endif
 #define CCCTRL_XINCLUDE	// Mantis2185
 #define CCCTRL_RGBA		// Mantis6761
#endif

#if AHCOMMONVER>=103
 #if defined CCCTRL_RGBA
 #define CCCTRL_CMYKA
 #define CCCTRL_HSL
 #endif
 //#ifdef _DEBUG
 //#define CCCTRL_TR50_13	// TR50 𐳎łɂ
 //#endif
#endif

#if AHCOMMONVER>=104
 #if defined AH_LINUX64_GCC_ || \
 	 defined AH_LINUX_GCC_ || \
 	 defined AH_MACOSX_X86_GCC_|| \
 	 defined AH_SOLARIS_SPARC_CC_|| \
 	 defined AH_SOLARIS_X86_CC_
 #define CCCTRL_USEOPENSSL
 #endif
#endif

#if AHCOMMONVER>=104
 #define CCCTRL_NOOOXINZIP	// AHZipFileOOX𕪗
#endif

#if AHCOMMONVER>=104 && defined AH_HAVE_UNORDERED_SETMAP
 #define CCCTRL_UNORDERED_SET	// AHCommonNS::AHNamedValueMap std::setł͂Ȃ std::unordered_set𗘗p(Aug 2015)
#endif
#if AHCOMMONVER>=104 && defined _MSC_VER && _MSC_VER >= 1600
// Visual Studio 2010/2013ȊO̊ł̓rhmFĂȂ߁A_MSC_VER >= 1600 ɐĂB
 #define CCCTRL_SUPERFICIAL_OPTIMIZE	// ̂ߏ̃\[XύXsi̔͑Ȃj(Aug 2015)
 #define CCCTRL_SUPERFICIAL_OPTIMIZE2	// ̂ߌyȃ\[XύXs (Sep 2015)
 #define CCCTRL_SUPERFICIAL_OPTIMIZE3	// ̂ߌyȃ\[XύXs (Sep 2015)
 #define CCCTRL_SUPERFICIAL_OPTIMIZE4	// ̂ߌyȃ\[XύXs (Sep 2015)
#endif

#if AHCOMMONVER>=106
// #define CCCTRL_UNEXPECTED_END_OF_STRING	// Mantis12978 --> 
 #define CCCTRL_XMLCATALOGS				// Mantis7122
 #define CCCTRL_AHCSSPARSER				// Mantis11529
#endif

#if AHCOMMONVER>=200
 #define CCCTRL_NOAHDMCSTREAM
#endif


// @\\ȃV{͈ȉ

//#define CCCTRL_NOAHCOLOR
//#define CCCTRL_NOAHCUSTOMSTREAM
//#define CCCTRL_NOAHSTRSTREAM
//#define CCCTRL_NOAHDMCSTREAM
//#define CCCTRL_NOAHGZIPSTREAM
//#define CCCTRL_NOAHJARSTREAM
//#define CCCTRL_NOAHZIPFILE
//#define CCCTRL_NOAHTEMPFILE
//#define CCCTRL_NOAHDATAURI
//#define CCCTRL_NOAHJZIO
//#define CCCTRL_NOAHXLSFORMAT	Ɨߔp~
//#define CCCTRL_NOAHMSXMLPARSER
//#define CCCTRL_NOAHTRANSMATRIX
//#define CCCTRL_NOAHUUID
//#define CCCTRL_NOAHAES
//#define CCCTRL_NOAHRC4
//#define CCCTRL_NOAHMD5
//#define CCCTRL_NOAHSHA1
//#define CCCTRL_NOAHSHA2
//#define CCCTRL_NOAHZIPARCHIVE
//#define CCCTRL_NOAHCSSPARSER
//#define CCCTRL_NOOPENSSL

	// ˑ֌W (ύX֎~)
	#if defined CCCTRL_NOAHZIPFILE
		#define CCCTRL_NOAHJARSTREAM
	#endif
	//#if (defined CCCTRL_NOAHMD5 || defined CCCTRL_NOAHSHA1)
	//	#define CCCTRL_NOAHUUID
	//#endif
	#ifdef CCCTRL_NOOPENSSL
		#undef CCCTRL_USEOPENSSL
	#endif
	#ifdef CCCTRL_NOAHCSSPARSER
		#undef CCCTRL_AHCSSPARSER
	#endif

// ȉA폜Ă͂Ȃ. --> ̂悤ɂA`ƏCׂӏU݂
//#define CCCTRL_GLOBALCLEANUP		// static  cleanup s.


#endif //AHCommonVersion_H__
